For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Submission Feedback Upload
      • GETRequest a feedback upload URL
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceSubmission Feedback Upload

Request a feedback upload URL

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/submissions/signals/upload-url/:filename
GET
/api/v1/submissions/signals/upload-url/:filename
$curl -G https://api.prolific.com/api/v1/submissions/signals/upload-url/participant_feedback.csv \
> -H "Authorization: Token <token>" \
> -d workspace_id=6278acb09062db3b35bcb123
1{
2 "upload_url": "https://submission-signals.s3.amazonaws.com/study123_feedback.csv?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=...",
3 "http_method": "PUT",
4 "expires_at": "2025-05-15T11:11:14.321Z"
5}
Request a temporary, pre-signed URL to upload a feedback file for your completed studies. This is the first step of a two-step upload process: 1. Call this endpoint to receive a pre-signed `upload_url`. 2. Upload your file directly to that URL with an HTTP `PUT` request before it expires. <Note> Supported file formats are CSV, XLS, XLSX, JSON, TXT and PDF. The maximum file size is 5GB. Please check the [supported file formats](/api-reference/submission-feedback-upload#supported-file-formats) section for more details. </Note>
Was this page helpful?
Previous

Uploading submission feedback files

Next

Bonuses

Request a temporary, pre-signed URL to upload a feedback file for your completed studies.

This is the first step of a two-step upload process:

  1. Call this endpoint to receive a pre-signed upload_url.
  2. Upload your file directly to that URL with an HTTP PUT request before it expires.

Supported file formats are CSV, XLS, XLSX, JSON, TXT and PDF. The maximum file size is 5GB. Please check the supported file formats section for more details.

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

filenamestringRequired

The name of the file you want to upload, including its extension (e.g. participant_feedback.csv).

Query parameters

workspace_idstringRequired
The ID of the Prolific workspace the feedback belongs to.

Response

Pre-signed upload URL generated successfully.

upload_urlstring

The temporary, pre-signed URL to upload your file to with an HTTP PUT request.

http_methodenum

The HTTP method to use when uploading to upload_url.

Allowed values:
expires_atdatetime

The time at which the pre-signed upload_url expires.

Errors

4XX
Client Request Error